# MongoDB\BSON\PackedArray::offsetSet

(mongodb >=1.17.0)

MongoDB\BSON\PackedArray::offsetSet — Implementation of ArrayAccess

### 说明

final public MongoDB\BSON\PackedArray::offsetSet(mixed `$key`, mixed `$value`): void

Sets the value at the specified `key` to `value`.

### 参数

`key`

  The index being set.

`value`

  The new value for the `key`.

### 返回值

没有返回值。

### 错误／异常

- Always throws a MongoDB\Driver\Exception\LogicException.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open